<?php
function smarty_output($template, $cache_id = NULL, $compile_id = NULL) {
	global $smarty, $action, $fileurl, $pagetitle;
	
	template_exists($template);
	
	$smarty->assign('action', $action);
	$smarty->assign('fileurl', $fileurl);
	$smarty->assign('pagetitle', $pagetitle);
	$smarty->display($template, $cache_id, $compile_id);
}

?>